#ifndef KAP_LOGIN_H
#define KAP_LOGIN_H

#include "kap_wizardpage.h"

class QLabel;
class QLineEdit;
class QCheckBox;

class Kap_LoginSelector : public Kap_WizardPage
{
	Q_OBJECT;

public:
	Kap_LoginSelector(QWidget *parent = 0, const char *name = 0);
	~Kap_LoginSelector();

	Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	Kap_Main::e_PageType getType() const;

	bool canNextPage(QString& msg);

protected slots:
	void guestClicked();

protected:
	void resizeEvent(QResizeEvent*);

private:
	QLabel	*infotext_;
	QLineEdit	*login_;
	QLineEdit	*passwd_;
	QLabel		*loginlabel_;
	QLabel		*passwdlabel_;
	QCheckBox	*guest_;
};

#endif
