#ifndef KAP_LPDUTIL_H
#define	KAP_LPDUTIL_H

#include <qstrlist.h>

class Kap_LpdUtil
{
public:
	static bool hasLpdDaemon(const char *host);
	static bool isValidQueue(const char *host, const char *queue);
	static const QStrList* getPrinterList(const char *host, bool rescan = true);

private:
	static QStrList	printerlist_;
	static QString	host_;
	static int openConnection(const char *host);
	static void closeConnection(int sock);
};

#endif
