#ifndef CUPSDBROWSINGTIMEOUTPAGE_H
#define CUPSDBROWSINGTIMEOUTPAGE_H

#include "cupsdpage.h"

class QLineEdit;
class CupsdOption;

class CupsdBrowsingTimeoutPage : public CupsdPage
{
public:
	CupsdBrowsingTimeoutPage(QWidget *parent = 0, const char *name = 0);
	~CupsdBrowsingTimeoutPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QLineEdit	*browseinterval_;
	QLineEdit	*browsetimeout_;

	CupsdOption	*opt_[2];
};

#endif
