#ifndef CUPSDPAGE_H
#define	CUPSDPAGE_H

#include <qwidget.h>
#include <qstringlist.h>

struct CupsdConf;
class QLabel;

class CupsdPage : public QWidget
{
public:
	CupsdPage(QWidget *parent = 0, const char *name = 0);
	~CupsdPage();

	virtual bool loadConfig(CupsdConf *conf, QString& msg) = 0;
	virtual bool saveConfig(CupsdConf *conf, QString& msg) = 0;
	virtual void setDefaults() = 0;
        virtual void setInfos(CupsdConf*) {}
	const QStringList& pagePath();
	const QString& header();

protected:
	CupsdConf	*conf_;
	QStringList	path_;
	QString		header_;
	QLabel		*deflabel_;
};

#endif
