#ifndef CUPSDSERVERENCRYPTPAGE_H
#define CUPSDSERVERENCRYPTPAGE_H

#include "cupsdpage.h"

class QDirLineEdit;
class CupsdOption;

class CupsdServerEncryptPage : public CupsdPage
{
public:
	CupsdServerEncryptPage(QWidget *parent = 0, const char *name = 0);
	~CupsdServerEncryptPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QDirLineEdit	*servercertificate_;
	QDirLineEdit	*serverkey_;

	CupsdOption	*opt_[2];
};

#endif
