#ifndef CUPSDSERVERLOGPAGE_H
#define CUPSDSERVERLOGPAGE_H

#include "cupsdpage.h"

class QDirLineEdit;
class QLineEdit;
class QComboBox;
class CupsdOption;

class CupsdServerLogPage : public CupsdPage
{
public:
	CupsdServerLogPage(QWidget *parent = 0, const char *name = 0);
	~CupsdServerLogPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QDirLineEdit	*accesslog_;
	QDirLineEdit	*errorlog_;
	QDirLineEdit	*pagelog_;
	QComboBox	*loglevel_;
	QLineEdit	*maxlogsize_;

	CupsdOption	*opt_[5];
};

#endif
