#ifndef	CUPSLOCATIONGENERAL_H
#define	CUPSLOCATIONGENERAL_H

#include <qwidget.h>

class QLineEdit;
class QComboBox;
struct CupsLocation;
struct CupsdConf;

class CupsLocationGeneral : public QWidget
{
	Q_OBJECT;
public:
	CupsLocationGeneral(CupsdConf *conf, QWidget *parent = 0, const char *name = 0);
	~CupsLocationGeneral();

	void loadLocation(CupsLocation *loc);
	void saveLocation(CupsLocation *loc);
	bool isValid();
        void setInfos(CupsdConf*);

protected slots:
	void authClassChanged(int);
	void authTypeChanged(int);

private:
	QComboBox	*resource_;
	QComboBox	*authtype_;
	QComboBox	*authclass_;
	QLineEdit	*authgroupname_;
        QComboBox	*encryption_;

	CupsdConf	*conf_;	// only to have access to available resources.
};

#endif
