/***************************************************************************
                          kap_bannerselectorpage.h  -  description
                             -------------------
    begin                : Tue Feb 8 2000
    copyright            : (C) 2000 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_BANNERSELECTORPAGE_H
#define KAP_BANNERSELECTORPAGE_H

#include <qwidget.h>
#include <kap_wizardpage.h>

/**
  *@author Michael Goffioul
  */

class QComboBox;

class Kap_BannerSelectorPage : public Kap_WizardPage
{
public:
	Kap_BannerSelectorPage(QWidget *parent=0, const char *name=0);
	~Kap_BannerSelectorPage();

	virtual Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	virtual Kap_Main::e_PageType getType() const;

	bool initialize();

private:
	QComboBox	*startbanner_;
	QComboBox	*endbanner_;
};

#endif
