#ifndef	KAP_MOREINFOPAGE_H
#define	KAP_MOREINFOPAGE_H

#include "kap_wizardpage.h"

#include <qlist.h>

class QLineEdit;
class QLabel;

class Kap_MoreInfoPage : public Kap_WizardPage
{
public:
	Kap_MoreInfoPage(QWidget *parent = 0, const char *name = 0);
	~Kap_MoreInfoPage();

	void setNumberOfInfos(int n);

	void setLabel(int i, const char *txt);
	void setText(int i, const char *txt);
	const char* text(int i);
	const char* label(int i);

protected:
	void resizeEvent(QResizeEvent*);

private:
	QList<QLabel>		labellist_;
	QList<QLineEdit>	editlist_;
	int			n_;
};

#endif
