/***************************************************************************
                          kap_namelocationselectorpage.h  -  description
                             -------------------
    begin                : Tue Feb 8 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_NAMELOCATIONSELECTORPAGE_H
#define KAP_NAMELOCATIONSELECTORPAGE_H

#include <qwidget.h>
#include <kap_wizardpage.h>

/**
  *@author jec
  */

class QLabel;
class QLineEdit;

class Kap_NameLocationSelectorPage : public Kap_WizardPage
{
   Q_OBJECT
public:
	Kap_NameLocationSelectorPage(QWidget *parent=0, const char *name=0);
	~Kap_NameLocationSelectorPage();

	virtual bool canNextPage(QString& msg);
	
	virtual Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	virtual Kap_Main::e_PageType getType() const;

	bool initialize();
	
protected slots:
	void slotValidate();
	
protected:
	void connectWidgets();
	
private:
	QLabel* explLabel_;
	
	QLabel* nameLabel_;
	QLineEdit* nameLineEdit_;
	
	QLabel* locationLabel_;
	QLineEdit* locationLineEdit_;

	QLabel* descriptionLabel_;
	QLineEdit* descriptionLineEdit_;
};

#endif
