#ifndef KAP_PRINTERCONFIG_H
#define	KAP_PRINTERCONFIG_H

#include <kdialogbase.h>
#include <cups/ppd.h>
#include <qtcups/globalppd.h>

class QPPDWidget;

class Kap_PrinterConfig : public KDialogBase
{
	Q_OBJECT;
public:
	Kap_PrinterConfig(global_ppd_file_t *ppdfile, QWidget *parent = 0);
	~Kap_PrinterConfig();

	void init(global_ppd_file_t *ppdfile);
	void setUseConflict(bool on = true);

protected slots:
	virtual void slotOk();

private:
	global_ppd_file_t	*ppdfile_;
	global_ppd_file_t	*internal_ppdfile_;
	QPPDWidget	*ppdwidget_;
	bool		useConflict_;
};

#endif
