#ifndef KAP_SMBUTIL_H
#define	KAP_SMBUTIL_H

#include <qstring.h>
#include <qstrlist.h>
#include <qlist.h>

struct SmbInfo
{
	QString		Workgroup;
	QString		Server;
	QString		IP;
	QStrList	PrinterList;
};

class Kap_SmbUtil
{
public:
	const QList<SmbInfo>& getSmbList(bool scan = true);
	bool getPrinters(SmbInfo* smb, const QString& user = "", const QString& passwd = "");

	static Kap_SmbUtil* get();
	static void release();

private:
	Kap_SmbUtil();
	~Kap_SmbUtil();

	static Kap_SmbUtil	*util_;
	
	QList<SmbInfo>	smbinfos_;
	bool getIPList(QStrList& IPList);
	bool getNMBInfo(unsigned long ip, QString& workgroup, QString& server);
};

#endif
