#ifndef	KAP_SOCKETSELECTOR_H
#define	KAP_SOCKETSELECTOR_H

#include "kap_wizardpage.h"

class Kap_SocketUtil;

class QListView;
class QListViewItem;
class QPushButton;
class QProgressBar;
class QLineEdit;
class QLabel;

class Kap_SocketSelector : public Kap_WizardPage
{
	Q_OBJECT;

public:
	Kap_SocketSelector(QWidget *parent = 0, const char *name = 0);
	~Kap_SocketSelector();

	Kap_Main::e_PageType getType() const;
	Kap_Main::e_PageType getNextPage(QString& msg, bool fake = false);
	bool canNextPage(QString& msg);

protected:
	void resizeEvent(QResizeEvent*);

protected slots:
	void settingsClicked();
	void scanClicked();
	void printerClicked(QListViewItem*);

private:
	QListView	*printerlist_;
	QProgressBar	*scanbar_;
	QPushButton	*settings_, *scan_;
	QLineEdit	*printer_, *port_;
	QLabel		*printerlabel_, *portlabel_;
	Kap_SocketUtil	*util_;
};

#endif
