/***************************************************************************
                          kups_attributesiterator.cpp  -  description
                             -------------------
    begin                : Sun Nov 28 1999
    copyright            : (C) 1999 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kups_attributesiterator.h"

Kups_AttributesIterator::Kups_AttributesIterator()
:response_(0),
nextAttr_(0)
{
}
Kups_AttributesIterator::~Kups_AttributesIterator()
{
}
	
void Kups_AttributesIterator::setResponse(ipp_t* r)
{
	response_ = r;
  nextAttr_ = 0;
}

ipp_attribute_t* Kups_AttributesIterator::last()
{
	return (response_ ? response_->last : 0);
}
ipp_attribute_t* Kups_AttributesIterator::next()
{
	if (nextAttr_ == 0)
	{
		if (response_) nextAttr_ = response_->attrs;
	}
	else
	{
		nextAttr_ = nextAttr_->next;
	}
	return nextAttr_;
}

