/***************************************************************************
                          kups_jobsview.h  -  description
                             -------------------
    begin                : Fri Nov 26 1999
    copyright            : (C) 1999 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KUPS_JOBSVIEW_H
#define KUPS_JOBSVIEW_H

#include <qwidget.h>
#include <qlistview.h>

/**
  *@author jec
  */


class Kups_JobsObserver;
class KPrinter;
class Kups_JobItem;

class Kups_JobsView : public QListView
{
   Q_OBJECT
public: 
	Kups_JobsView(QWidget *parent=0, const char *name=0);
	~Kups_JobsView();

	bool createWidgets();	
	bool initWidgets();
	
public slots:
	void selectionChanged(QListViewItem*);	
	
protected slots:
	void slotRightOnItem(QListViewItem* item, const QPoint& point, int i);
	
protected:
	void setAllItemDiscarded(bool disc);
	void removeAllDiscarded();
	Kups_JobItem* getItemByJobID(int id);

private:
	Kups_JobsObserver* observer_;
	KPrinter* selectedPrinter_;
	
};

#endif

