/***************************************************************************
                          kups_testpagegenerator.h  -  description
                             -------------------
    begin                : Sat Jan 22 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KUPS_TESTPAGEGENERATOR_H
#define KUPS_TESTPAGEGENERATOR_H


#include <qstring.h>


/**
  *@author jec
  */


class QWidget;
class KPrinter;
class KBuffer;

class Kups_TestPageGenerator
{
public: 
	Kups_TestPageGenerator();
	~Kups_TestPageGenerator();
	
	static const KBuffer& getPage(KPrinter* printer);
	static bool printPage(QWidget* parent, KPrinter* printer);
	
protected:	
	static const KBuffer& getBasicPage();
	static void init();
	
private:
	static KBuffer basicPage_;
	static KBuffer genPage_;
	static bool init_;
	static QString testPageName_;
};

#endif
