#ifndef CUPSDBROWSINGCONNPAGE_H
#define CUPSDBROWSINGCONNPAGE_H

#include "cupsdpage.h"

class CupsListBox;
class CupsdOption;
class QLineEdit;

class CupsdBrowsingConnPage : public CupsdPage
{
public:
	CupsdBrowsingConnPage(QWidget *parent = 0, const char *name = 0);
	~CupsdBrowsingConnPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	CupsListBox	*browseaddress_;
	CupsListBox	*browsepoll_;
	QLineEdit	*browseport_;

	CupsdOption	*opt_[3];
};

#endif
